/*
=============================================
Author      : <ยุทธภูมิ ตวันนา>
Create date : <๐๗/๐๔/๒๕๖๓>
Modify date : <๐๗/๐๖/๒๕๖๕>
Description : <>
=============================================
*/

@import "../../styles.scss";

.registered-view .project-card-vertical {
    display: none;
}

.registered-view .location-info .table .col-index,
.registered-view .section-info .table .col-index {
    width: 72px;
    min-width: 72px;
}

.registered-view .fee-info .table .col-check .toggle {
    position: absolute;
    top: 0;
}
/*
@media screen and (max-width: 1747px) and (min-width: 1169px) {
    @include table-responsive-step1(".registered-view .section-info");
}

@media screen and (max-width: 1585px) and (min-width: 1169px) {
    .registered-view .registered-info .d-table .col-locations {
        width: 50% !important;
    }

    @include table-responsive-step1(".registered-view .location-info");
    @include table-responsive-step1(".registered-view .section-info");

}

@media screen and (max-width: 1175px) and (min-width: 1169px) {
    @include table-responsive-step2(".registered-view .registered-info .section-info");
}

@media screen and (max-width: 1168px) {
    .registered-view .registered-info .d-table .table-cell-divider.col-wrap {
        display: none;
    }

    .registered-view .registered-info .d-table.table-registered,
    .registered-view .registered-info .d-table .col-locations,
    .registered-view .registered-info .d-table .col-feetype {
        display: block !important;
        width: 100% !important;
    }

    .registered-view .registered-info .d-table .col-feetype {
        margin-top: 1rem !important;
    }

    .registered-view .registered-info .fee-info .table thead {
        display: none;
    }
}

@media screen and (max-width: 1040px) {
    @include table-responsive-step1(".registered-view .registered-info .section-info");
}

@media screen and (max-width: 945px) {
    @include table-responsive-step1(".registered-view .registered-info .location-info");
}

@media screen and (max-width: 611px) {
    @include table-responsive-step2(".registered-view .registered-info .section-info");
}

@media screen and (max-width: 609px) {
    @include table-responsive-step2(".registered-view .registered-info .location-info");
    @include form-responsive(".registered-view .fee-info #deliaddress-form");
}
*/
@media screen and (max-width: 1265px) and (min-width: 992px) {
    @include table-responsive-step1(".registered-view .section-info");
}

@media screen and (max-width: 1231px) and (min-width: 992px) {
    @include table-responsive-step1(".registered-view .location-info");
}

@media screen and (max-width: 1142px) and (min-width: 992px) {
    .registered-view .registered-info .d-table .col-locations {
        width: 50% !important;
    }

    @include table-responsive-step2(".registered-view .location-info");
    @include table-responsive-step2(".registered-view .section-info");
}

@media screen and (max-width: 991px) {
    .registered-view .registered-info .d-table .table-cell-divider.col-wrap {
        display: none;
    }

    .registered-view .registered-info .d-table.table-registered,
    .registered-view .registered-info .d-table .col-locations,
    .registered-view .registered-info .d-table .col-feetype {
        display: block !important;
        width: 100% !important;
    }

    .registered-view .registered-info .d-table .col-feetype {
        margin-top: 1rem !important;
    }

    .registered-view .registered-info .fee-info .table thead {
        display: none;
    }
}

@media screen and (max-width: 760px) {
    @include table-responsive-step1(".registered-view .section-info");
}

@media screen and (max-width: 740px) {
    @include table-responsive-step1(".registered-view .location-info");
}

@media screen and (max-width: 687px) {
    @include table-responsive-step2(".registered-view .location-info");
    @include table-responsive-step2(".registered-view .section-info");
}

@media screen and (max-width: 576px) {
    @include form-responsive(".registered-view .fee-info #deliaddress-form");
}

@media screen and (max-width: 530px) {
    .registered-view .project-card-vertical {
        display: block;
    }

    .registered-view .project-card-horizontal {
        display: none;
    }
}

@media screen and (max-width: 473px) {
    .registered-view .registered-btn {
        width: 100% !important;
    }
}

@media screen and (max-width: 420px) {
    .registered-view .location-info .location-building-seat-info .project-seatamount-info .seatamount,
    .registered-view .location-info .location-building-seat-info .project-seatamount-info .seatamount .d-table-cell,
    .registered-view .section-info .section-teachingtype-seat-info .project-seatamount-info .seatamount,
    .registered-view .section-info .section-teachingtype-seat-info .project-seatamount-info .seatamount .d-table-cell {
        width: 100% !important;
        text-align: left !important;
        display: block !important;
    }

    .registered-view .location-info .location-building-seat-info .project-seatamount-info .seatamount .d-table-cell:last-child,
    .registered-view .section-info .section-teachingtype-seat-info .project-seatamount-info .seatamount .d-table-cell:last-child {
        line-height: 1.2;
    }
}
